package com.ss.android.ugc.aweme.commerce.tools.mission.service;

import X.0P5;
import X.1Hv;
import X.1hK;
import X.2Pr;
import X.C34306Uy;
import X.LsD;
import X.NrO;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.shortvideo.ShortVideoContext;
import com.ss.android.ugc.aweme.shortvideo.edit.VideoPublishEditModel;
import java.util.LinkedHashMap;

public interface ICommerceToolsMissionService {
    static {
        Covode.recordClassIndex(58078);
    }

    1Hv<0P5> LIZ(NrO nrO);

    void LIZ(int i, int i2, VideoPublishEditModel videoPublishEditModel, String str, String str2);

    void LIZ(int i, C34306Uy r2);

    void LIZ(Activity activity, ShortVideoContext shortVideoContext);

    void LIZ(Activity activity, VideoPublishEditModel videoPublishEditModel);

    void LIZ(Context context, C34306Uy r2, LsD<? super Integer, ? super CharSequence, 2Pr> lsD);

    void LIZ(Intent intent, Intent intent2, String str, String str2);

    void LIZ(VideoPublishEditModel videoPublishEditModel, LinkedHashMap<String, String> linkedHashMap);

    void LIZ(String str, int i, VideoPublishEditModel videoPublishEditModel, String str2, String str3, 1hK r6);

    void LIZ(String str, VideoPublishEditModel videoPublishEditModel);

    void LIZIZ(Activity activity, ShortVideoContext shortVideoContext);

    void LIZJ(Activity activity, ShortVideoContext shortVideoContext);

    void LIZLLL(Activity activity, ShortVideoContext shortVideoContext);
}
